
Redmine - Defect #40632

Changed email notification configuration disregarded

2024-04-24 09:57 - Henry Bürger

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.2

Description

Email notification configuration (emission email address and email footer) was updated but changes are disregarded by Redmine.

Email notifications are still sent out using legacy settings.

Changed the settings again and saved it just to make sure everything was saved as expected.

Test email notification has updated settings. Email notification from any other other item still uses legacy settings.

settings table has the updated configuration.

Restarted web server after changes were applied but to no avail.

Environment:

  Redmine version                5.1.2.stable.22775

  Ruby version                   3.1.2-p20 (2022-04-12) [x86_64-linux-gnu]

  Rails version                  6.1.7.7

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::SidekiqAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Akersolutions

SCM:

  Subversion                     1.14.2

  Git                            2.39.2

  Filesystem                     

Redmine plugins:

  scrum                          0.23.1

History

#1 - 2024-04-24 11:02 - Henry Bürger

Should have mentioned that email notification settings had to be changed after a Redmine rehosting.

Changes were performed after Redmine databse was imported and Redmine was started on new host.

#2 - 2024-04-30 21:34 - Henry Bürger

Problem was solved by a server restart.

#3 - 2024-05-01 09:33 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for your feedback!
